Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605367 - Stop breaking GSS sealed connections at orioginal credentials expiration time
Stop breaking GSS sealed connections at orioginal credentials expiration time
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: krb5 (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE Security Team
:
Depends On: 605366
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 14:20 EDT by Simo Sorce
Modified: 2016-01-22 12:07 EST (History)
3 users (show)

See Also:
Fixed In Version: krb5-1.6.1-44.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 605366
Environment:
Last Closed: 2011-01-13 18:53:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0098 normal SHIPPED_LIVE krb5 bug fix and enhancement update 2011-01-12 12:39:25 EST

  None (edit)
Description Simo Sorce 2010-06-17 14:20:01 EDT
+++ This bug was initially created as a clone of Bug #605366 +++

The current behaviot of the GSSAPI library is to break GSS wrap/unwrap operations when the original ticket, used to set up the connection, expires.

Recently upstream has finally decided that this is not useful and has committed changes to trunk to change this behaviour. Applications can still query GSSAPI and tear down the connection when the original ticket expires if they want so.

We should backport these changes in RHEL 6 as this was a popular request from many stakeholders.

--- Additional comment from ssorce@redhat.com on 2010-06-17 14:18:27 EDT ---

Upstream bug:
http://krbdev.mit.edu/rt/Ticket/Display.html?id=6739
(Includes pointers to the patches needed)
Comment 1 Simo Sorce 2010-06-17 14:20:41 EDT
It would be appropriate to change it for RHEL 5 too if possible.
Comment 6 errata-xmlrpc 2011-01-13 18:53:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0098.html

Note You need to log in before you can comment on or make changes to this bug.